FROM pommalabs/dotnet:6-aspnet

ARG description="Docker image with ASP.NET Core and Mono runtime, based on Debian Linux"
LABEL description=${description} org.opencontainers.image.description=${description}

# Switch to root user, in order to perform system changes.
USER root

COPY ./bash /opt/bash
RUN export MONO_REPO_DISTRO="focal" && \
    export MONO_VERSION="6.12" && \
    bash /opt/bash/common_setup.sh && \
    bash /opt/bash/aspnet_mono.sh && \
    bash /opt/bash/common_cleanup.sh && \
    rm -rf /opt/bash

# Switch back to unprivileged user.
USER $APP_UID
